lev.debug

## Class LDebug

- java.lang.Object
- - lev.debug.LDebug

-     public class LDebug
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `timeElapsed` Turns on debug info regarding how much time has passed since the start of the program.
    `static boolean` | `timeStamp` Turns on debug info regarding how much time has passed since the last debug output.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDebug()`
    `LDebug(java.lang.String path, int space)` Creates a debug log at the path desired, and with the given character space for the header text.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBannedHeader(java.lang.String in)`
    `void` | `addBannedHeader(java.lang.String[] input)`
    `void` | `clearBannedHeaders()`
    `void` | `closeDebugFile()`
    `void` | `flushDebug()`
    `java.lang.String` | `getOpenPath()`
    `int` | `line()`
    `static boolean` | `on()`
    `static void` | `on(java.lang.Boolean b)`
    `void` | `openDebug(java.lang.String path, int space)`
    `void` | `setSpacing(int spacing)` Sets the spacing between the left side of the debug log and the contents.
    `void` | `w(java.lang.String header, java.lang.String... input)` Writes to the debug log.
    `static void` | `wrapUp()` Closes debug logs and flushes their buffers.
    `static void` | `wrapUpAndExit()` Calls wrapUp() then exits the program.
    `void` | `writeException(char in)`
    `void` | `writeException(java.lang.String in)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timeStamp

          public static boolean timeStamp

      Turns on debug info regarding how much time has passed since the last debug output.

    - #### timeElapsed

          public static boolean timeElapsed

      Turns on debug info regarding how much time has passed since the start of the program.

  - ### Constructor Detail

    - #### LDebug

          public LDebug(java.lang.String path,
                int space)

      Creates a debug log at the path desired, and with the given character space for the header text.
      Parameters:
        `path` -
        `space` -

    - #### LDebug

          public LDebug()

  - ### Method Detail

    - #### on

          public static void on(java.lang.Boolean b)

      Parameters:
        `b` -

    - #### on

          public static boolean on()

      Returns:

    - #### openDebug

          public final void openDebug(java.lang.String path,
                       int space)

      Parameters:
        `path` -
        `space` -

    - #### setSpacing

          public void setSpacing(int spacing)

      Sets the spacing between the left side of the debug log and the contents.
      Parameters:
        `spacing` -

    - #### w

          public void w(java.lang.String header,
               java.lang.String... input)

      Writes to the debug log.
      Parameters:
        `header` -
        `input` -

    - #### writeException

          public void writeException(java.lang.String in)

      Parameters:
        `in` -

    - #### writeException

          public void writeException(char in)
                              throws java.io.IOException

      Parameters:
        `in` -
      Throws:
        `java.io.IOException`

    - #### flushDebug

          public void flushDebug()

    - #### closeDebugFile

          public void closeDebugFile()

    - #### clearBannedHeaders

          public void clearBannedHeaders()

    - #### addBannedHeader

          public void addBannedHeader(java.lang.String in)

      Parameters:
        `in` -

    - #### addBannedHeader

          public void addBannedHeader(java.lang.String[] input)

      Parameters:
        `input` -

    - #### wrapUp

          public static void wrapUp()

      Closes debug logs and flushes their buffers.

    - #### wrapUpAndExit

          public static void wrapUpAndExit()

      Calls wrapUp() then exits the program.

    - #### getOpenPath

          public java.lang.String getOpenPath()

      Returns:
        The path the log is writing to.

    - #### line

          public int line()

      Returns:
        The next line number to be written.